<template>
  <div class="py-6">
    <div class="max-w-7xl mx-auto px-4 sm:px-6 md:px-8 grid grid-cols-1 mb-4">
      <h1 class="text-2xl font-semibold text-gray-600">
        Mission name: {{missionConfig.mission_name}}
      </h1>

      <h3 class="text-2xl font-semibold text-gray-600">
        Plateau Size X: {{missionConfig.plateau_size_x}} Y: {{missionConfig.plateau_size_y}}
      </h3>

      <h3 class="text-2xl font-semibold text-gray-600">
        Rovers Quantity: {{missionConfig.rovers_number}}
      </h3>

    </div>
    <div class="max-w-7xl mx-auto px-4 sm:px-6 md:px-8">
      <div class="" v-for='(rover) in roversInformation' :key='rover.id'>
        <UpdateRover :roverInfo=rover :getRoversDetails=getRoversDetails />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'base',
  data(){
    return {
      missionId:'',
      missionConfig:'',
      roversInformation: ''
    }
  },
  mounted(){
    this.missionId = this.$route.params.idMission
    this.getMissionDetails()
    this.getRoversDetails()
  },
  methods:{
    getMissionDetails(){
      this.$axios.get(`mission-config/${this.missionId}/`)
        .then((response) => {
          this.missionConfig = response.data
        })
    },
    getRoversDetails(){
      this.$axios.get(`rover/?mission=${this.missionId}`)
        .then((response) => {
          this.roversInformation = response.data
        })
    }
  }
}
</script>
